
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>结合使用 Apache Geronimo 和 Lift / iVAN</title>

    <meta name="description" content="结合使用 Apache Geronimo 和 Lift 用 Lift 创建 Web 应用程序并部署到 Geronimo Lift Web 应用程序框架需要 Scala,而 Scala 依赖于 Java Development Kit,所以也需要安装 Java Development Kit.下面是编写本文时使用的软件. Java Development Toolkit Scala 需要 JDK V1.5 或更高版本.我使用 Java V1.5.0_13.也可以使用 IBM Java 2 Platform. Scala 我使用 Scala V2.6.1">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">结合使用 Apache Geronimo 和 Lift</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>用 Lift 创建 Web 应用程序并部署到 Geronimo</p>
<p>Lift Web 应用程序框架需要 Scala，而 Scala 依赖于 Java Development Kit，所以也需要安装 Java Development Kit。下面是编写本文时使用的软件。</p>
<p>Java Development Toolkit Scala 需要 JDK V1.5 或更高版本。我使用 Java V1.5.0_13。也可以使用 IBM Java 2 Platform。 Scala 我使用 Scala V2.6.1。根据 Scala Web 站点上的说法，Scala 软件发行版最好安装在 Unix 或 Windows 系统上，它需要 Java 2 Runtime Environment（例如 Sun Microsystems 或 IBM 提供的 JRE）的 V1.4 或更高版本。 Apache Maven Lift 依靠 Apache Maven 设置项目、测试代码等。需要 Apache Maven V2.0.7 或更高版本，本文使用 V2.0.9。Apache Geronimo Lift 最好与 Jetty 一起使用，所以我使用带 Jetty 的 Apache Geronimo V2.1.1。一个数据库 在默认情况下，Lift 使用嵌入的 Apache Derby 数据库，但是也可以使用 MySQL 或 Postgres。</p>
<p>Lift 是用 Scala 编写的，但是本文不要求您熟悉 Scala。需要熟悉 Java 语言和 Java Web 编程。熟悉 Maven 会有帮助，因为 Lift 在许多方面都使用 Maven。</p>
<p>为什么要使用 Lift</p>
<p>在讨论如何下载库和执行脚本之前，应该先谈谈为什么要使用 Lift。毕竟，现在有许多其他 Web 框架，其中一部分也可以在 Geronimo 中使用。本文将讨论重要的 Lift 结构，包括片段和模型，以此说明用 Lift 创建和测试 Web 应用程序是多么容易。</p>
<p>Java Web 程序员有许多可供选择的 Web 框架。一些人甚至认为现在的 Web 框架太多了，让人无所适从。那么，在众多的 Web 框架中，Lift 处于什么位置呢？Lift 是用 Scala 编写的，而不是 Java。尽管 Scala 编译为 Java 字节码，但是与在 JVM 上运行的许多动态语言不同，它并不是某种包装器代码。Scala 是一种静态类型语言，作为快速的 “原生” Java 运行。这应该不令人吃惊，因为 Scala 的创建者曾经编写过 Java 编译器。因此，Scala 是一种表达能力比 Java 强得多的语言，但是它在 JVM 上运行，运行速度与 Java 一样快。这些性质使它非常适合实现 Web 框架 —— 这种强大的语言使我们编写的代码更少，同时保持出色的性能。</p>
<p>Scala 是非常出色的，那么 Lift 呢？Lift 充分利用了 Scala 的优点。它可以在任何 Java Web 容器中运行，因为它使用标准的 Java servlet 和 servlet 过滤器。Lift 的片段和模型充分利用了灵活的 Scala 语法。通过使用 Scala 的基于 actor 的并发系统，Lift 还能够出色地执行 Comet 风格的 Ajax。您不相信吗？我们来看看用 Lift 创建 Web 应用程序是多么容易。</p>
<p>创建 Lift 应用程序</p>
<p>任何 Web 应用程序框架首先需要下载，对吗？Lift 就不是这样。Lift 使用 Maven 完成所有工作，而且初始设置没有差异。但是，在开始使用 Maven 之前，一定要设置 SCALA_HOME 环境变量。然后执行以下命令。</p>
<p>清单 1. 创建新的 Lift 应用程序</p>
<p><code>$　mvn　archetype:generate　-U　-DarchetypeGroupId=net.liftweb<br />
-DarchetypeArtifactId=lift-archetype-basic　-DarchetypeVersion=0.8<br />
-DremoteRepositories=http://scala-tools.org/repo-releases<br />
-DgroupId=org.developerworks.lift　-DartifactId=quepasa<br />
[INFO]　Scanning　for　projects...<br />
[INFO]　Searching　repository　for　plugin　with　prefix:　'archetype'.<br />
[INFO]　org.apache.maven.plugins:　checking　for　updates　from　central<br />
[INFO]　org.codehaus.mojo:　checking　for　updates　from　central<br />
[INFO]　artifact　org.apache.maven.plugins:maven-archetype-plugin:　checking　for<br />
updates　from　central<br />
[INFO]　------------------------------------------------------------------------<br />
[INFO]　Building　Maven　Default　Project<br />
[INFO]　　task-segment:　[archetype:generate]　(aggregator-style)<br />
[INFO]　------------------------------------------------------------------------<br />
[INFO]　Preparing　archetype:generate<br />
[INFO]　No　goals　needed　for　project　-　skipping<br />
[INFO]　Setting　property:　classpath.resource.loader.class　=&gt;<br />
'org.codehaus.plexus.velocity.ContextClassLoaderResourceLoader'.<br />
[INFO]　Setting　property:　velocimacro.messages.on　=&gt;　'false'.<br />
[INFO]　Setting　property:　resource.loader　=&gt;　'classpath'.<br />
[INFO]　Setting　property:　resource.manager.logwhenfound　=&gt;　'false'.<br />
[INFO]　[archetype:generate]<br />
[INFO]　Generating　project　in　Interactive　mode<br />
[INFO]　Archetype　repository　missing.　Using　the　one　from<br />
　 [net.liftweb:lift-archetype-basic:0.6　-&gt;　http://scala-tools.org/repo-releases]<br />
　 found　in　catalog　internal<br />
Define　value　for　version:　1.0-SNAPSHOT:　:　0.1<br />
Confirm　properties　configuration:<br />
groupId:　org.developerworks.lift<br />
artifactId:　quepasa<br />
version:　0.1<br />
package:　org.developerworks.lift<br />
　 Y:　:　y<br />
[INFO]　----------------------------------------------------------------------------<br />
[INFO]　Using　following　parameters　for　creating　OldArchetype:　lift-archetype-basic:0.8<br />
[INFO]　----------------------------------------------------------------------------<br />
[INFO]　Parameter:　groupId,　Value:　org.developerworks.lift<br />
[INFO]　Parameter:　packageName,　Value:　org.developerworks.lift<br />
[INFO]　Parameter:　basedir,　Value:　/Users/michael/code/lift<br />
[INFO]　Parameter:　package,　Value:　org.developerworks.lift<br />
[INFO]　Parameter:　version,　Value:　0.1<br />
[INFO]　Parameter:　artifactId,　Value:　quepasa<br />
[INFO]　*********************　End　of　debug　info　from　resources　from　generated　POM<br />
***********************<br />
[INFO]　OldArchetype　created　in　dir:　/Users/michael/code/lift/quepasa<br />
[INFO]　------------------------------------------------------------------------<br />
[INFO]　BUILD　SUCCESSFUL<br />
[INFO]　------------------------------------------------------------------------<br />
[INFO]　Total　time:　8　seconds<br />
[INFO]　Finished　at:　Wed　May　21　21:49:56　PDT　2008<br />
[INFO]　Final　Memory:　8M/14M<br />
[INFO]　------------------------------------------------------------------------</code></p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-19 05:15:19</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e5%ba%94%e7%94%a8%e7%a8%8b%e5%ba%8f/" title="应用程序">应用程序</a>, <a href="https://www.iamivan.net/tag/java/" title="java">java</a>, <a href="https://www.iamivan.net/tag/web/" title="web">web</a>, <a href="https://www.iamivan.net/tag/%e6%a1%86%e6%9e%b6/" title="框架">框架</a>, <a href="https://www.iamivan.net/tag/scala/" title="scala">scala</a>, <a href="https://www.iamivan.net/tag/info/" title="info">info</a>, <a href="https://www.iamivan.net/tag/lift-and-throw/" title="lift and throw">lift and throw</a>, <a href="https://www.iamivan.net/tag/v1-5-0/" title="V1&period;5&period;0">V1&period;5&period;0</a>, <a href="https://www.iamivan.net/tag/v2-0-7/" title="v2&period;0&period;7">v2&period;0&period;7</a>, <a href="https://www.iamivan.net/tag/%e5%ae%89%e8%a3%85scala/" title="安装Scala">安装Scala</a>, <a href="https://www.iamivan.net/tag/maven%c2%a0xbean%c2%a0jetty/" title="maven&nbsp;xbean&nbsp;jetty">maven&nbsp;xbean&nbsp;jetty</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>结合使用 Apache Geronimo 和 Lift的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/lpPRJZb.html" rel="bookmark">使用JavaServer Faces构建Apache Geronimo应用程序，第5部分</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				将 JSF 应用程序与 Spring 集成 开始之前 本教程向 Java 程序员介绍如何使用 JSF 组件来构建具有高度交互性的部署在 Apache Geronimo 上的 Java EE 应用程序.本教程假设 读者将使用 Eclipse IDE 作为开发平台. 关于本教程 本教程讲解 Spring Framework,这是一个大型(且非常完整的)Web 应用程序框架,可以将它与 JSF 应用程序结合使用.我们将使用 Spring 继续开发我们这个开发人员论坛示例应用程序的登录页面的前端. 关于			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/VMrxeyz.html" rel="bookmark">使用JavaServer Faces构建Apache Geronimo应用程序，第4部分</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				使用 Apache Trinidad 组件扩展 JSF 到目前为止,在这个共分为五部分的系列教程中,已经研究了 JavaServer Faces(JSF),包括将简单的 JSF 应用程序部署到 Apache Geronimo 上,将 Apache Tomahawk 与应用程序集成,以及了解如何使用 Sun Ajax4jsf 开放源码框架为 JSF 应用程序添加 Asynchronous JavaScript + XML(Ajax)功能.此部分是第 4 部分,您将了解如何使用 Apache Tri			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/OMyN1Pp.html" rel="bookmark">使用JavaServer Faces构建Apache Geronimo应用程序，第3部分</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				使用 ajax4jsf 添加 Ajax 功能 在这个分五部分的教程系列的前两期中,研究了 JavaServer Faces(JSF),这是一种新的基于 Java 的框架,可以简 化为 Java Platform, Enterprise Edition(Java EE)应用程序构建图形用户界面(GUI)的过程.我们构建并成功地在 Apache Geronimo 上部署了一个简单的 JSF 应用程序,并学习了如何将 Apache Tomahawk(它提供几个与 JSF 100% 兼容的组件)与应用程			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/0borEjz.html" rel="bookmark">使用JavaServer Faces构建Apache Geronimo应用程序，第2部分</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在 JavaServer Faces 中使用 Tomahawk 本教程是分 5 部分的教程系列的第 2 部分.本教程讲解 Apache Tomahawk.在这个系列的第 1 期 中,介绍了 JavaServer Faces(JSF),并在 Apache Geronimo 上构建和成功地部署了一个简单的 JSF 应用程序.JSF 是一种基于 Java 的新框架,它使 Java Platform, Enterprise Edition(Java EE)应用程序图形用户界面(GUI)的构建工作变得更为			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/9zeBd9b.html" rel="bookmark">使用JavaServer Faces构建Apache Geronimo应用程序，第1部分</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				使用 Eclipse 和 Apache MyFaces Core 构建基本的应用程序 开始之前 本教程向 Java 程序员介绍如何使用 JSF 组件来构建具有高度交互性的部署在 Apache Geronimo 上的 Java EE 应用程序.本教程假定 读者使用 Eclipse 集成开发环境(IDE)作为开发平台. 关于本教程 本教程介绍了 Apache Geronimo,它是一个纯 Java EE 应用服务器.还介绍了使用 Eclipse IDE 和 Apache MyFaces(这是一个开放			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bB22mOb.html" rel="bookmark">用Ajax和Apache Geronimo创建异步消息框架</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				框架组件概览 经过良好设计的面向服务的业务层可以帮助您将松散耦合的服务组成过程和复合应用程序.面向服务的架构(Service-Oriented Architecture,SOA)中的这种服务组合使您能够用不同环境中的服务构建应用程序和过程,而无需了解每种环境的细节.使用 SOA 可获得的益处依赖于使用一般.粗略的接口设计和实现的服务. 在开发基于浏览器的 UI 时,Ajax 编程将为您提供强大的功能和很大的灵活性.将此 UI 功能与面向服务的业务层结合使用还将为您提供更大的灵活度.Ajax 编程			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MrK3jjp.html" rel="bookmark">集成DB2与Apache Geronimo</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				简介:Apache Geronimo 是部署 Java 2 Platform, Enterprise Edition (J2EE) 应用程序的 一个新的很受欢迎的替代方案.IBM DB2 是一个成熟的关系数据库产品,非常适用于 J2EE 环境. IBM 软件工程师 Emilio Zegarra 将详细介绍如何将这两个产品集成到 J2EE 应用程序中. 概述:Apache Geronimo Apache Geronimo 项目成功构建了一个开源的.J2EE 兼容的应用服务 器.该应用服务器非常强大			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bQPwOZz.html" rel="bookmark">Apache Geronimo和Spring框架，第6部分&colon;Spring MVC：使用Web视图技术</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				简介:本教程是系列教程(共六部分)的最后一部分,向您展示了如何利用 Spring 框架来使用 JavaServer Page(JSP).Velocity.Tile 和 PDF 导出功能.您将用 Model-View-Controller (MVC)中的 V 做试验,即 Spring MVC 中内置的各种 Web 视图.通过对 Spring MVC 所支持的各种视 图技术的全面介绍,您将看到在整个系列教程中构建的样例电话本应用程序中实现这些技术有多么轻松. 开始之前 本系列教程适合于需要了解 Sp			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zGjmPkp.html" rel="bookmark">Apache Geronimo和Spring框架，第5部分&colon; Spring MVC</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				简介:Spring Model-View-Controller(MVC)是 Spring 框架中应用最广泛的模块.它基于一种干净 的设计,并提供了很多开箱即用的类.本教程是系列教程(共六部分)的第五部分,通过向电话本示例应 用程序中添加更多功能详细介绍了 Spring MVC.在此过程中,您将了解如何利用丰富的 Spring MVC API 集中的有用类,如何定义易于理解的控制器来处理 JavaServer Page(JSP)的操作,如何扩展和 使用由 Spring MVC 提供的数据验证类等等			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/xp8kxoM.html" rel="bookmark" class="title">代码-Android 如何定制OTA升级时优化应用界面</a>
					<div>
						问题描述 Android 如何定制OTA升级时优化应用界面 请教一下相应代码在哪? ![ 解决方案 给你推荐个人 中国AOSP开源大神 马丁龙猪					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/qzDRXOM.html" rel="bookmark" class="title">JAVA&sol;JSP学习系列之十二&lpar;JSP生成jpeg图片用于投票&rpar;</a>
					<div>
						js|投票 一.前言 本文原作者为Tony Wang ,该文章涉及到文件的读写和jpg图片的自动生成.利用jsp+servlet的技术,jsp调用servlet生成图片. 二.首文件index.jsp ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/lpPA51z.html" rel="bookmark" class="title">在datagrid中删除时确定？（转）</a>
					<div>
						&lt;%@ Page Language=&quot;VB&quot; Debug=&quot;true&quot; %&gt;&lt;html&gt;&lt;head&gt;    &lt;scri ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Xpm517p.html" rel="bookmark" class="title">《&period;net编程先锋C&num;》第八章 用C&num;写组件（转）</a>
					<div>
						编程 第八章 用C#写组件这一章关于用C#写组件.你学到如何写一个组件,如何编译它,且如何在一个客户程序中使用它.更深入一步是运用名字空间来组织你的应用程序.这章由两个主要大节构成:.你的第一个组件. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/xpnNqZp.html" rel="bookmark" class="title">CUDA硬件实现分析（二）------规行矩步------GPU的革命</a>
					<div>
						序言:换位思考.当今的生活,节奏快,任务忙.慢慢的忽略了身边的很多事,很多人.再加上接受&quot;高等&quot;教育的人越来越多,&quot;有自己思想的&quot;人越来越多,慢慢的都习惯从自己 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqLeAGb.html" rel="bookmark" class="title">DreamWeaver中批量删除超级链接的方法</a>
					<div>
						  在线问答网友提问,请问专家DreamWeaver 8中如何批量删除超级链接? 解决办法,依次打开DreamWeaver-编辑-查找和替换(或可直接使用快捷键,Ctrl+F)-搜索范围选择&quot ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrKjryp.html" rel="bookmark" class="title">CSS实现绝对底部</a>
					<div>
						 CSS的简单在于它易学,CSS的困难在于寻找更好的解决方案.在CSS的世界里,似乎没有完美这种说法.所以,现在介绍的CSS绝对底部,只是目前个人见过的方案中比较完美的吧. 先说我们为什么会使用到这个 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bj73BnM.html" rel="bookmark" class="title">用jQuery获取IE9下拉框默认值问题探讨</a>
					<div>
						本文与大家详细探讨下用jQuery获取IE9下拉框默认值的问题,如果下拉框没有空默认值会怎么样等一系列问题,感兴趣的朋友可以参考下哈,希望对大家有所帮助   在IE 9.0.8112.16421 下, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1Re83p.html" rel="bookmark" class="title">爽快传达信息：隔与不隔</a>
					<div>
						你是否曾经被迫背了一首晦涩高深的诗词,却一头雾水呢?国学大师王国维在&lt;人间词话&gt;中曾用&quot;隔与不隔&quot;来区分诗词的高下: &quot;数峰清苦,商略黄昏雨&quot;,虽格 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgKlr5M.html" rel="bookmark" class="title">1234笔画输入法怎么小键盘输入？</a>
					<div>
						  1234笔画输入法小键盘输入教程: 小键盘输入(打字) 说明 小键盘的5个默认打字键为: 1,2,3,4,5 分别代表: 1. 一 (横) 2. 丨 (竖) 3. 丿 (撇) 4. 丶 (点) 5 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bKkkoab.html" rel="bookmark" class="title">linux系统如何休眠</a>
					<div>
						  linux系统休眠 在linux下,我喜欢用命令让系统进入休眠: $ echo mem | sudo tee /sys/power/state 当然,不用每次都要敲这么一长串,可以把它加入到一个脚 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bo7YDgb.html" rel="bookmark" class="title">将安全模式加到Win7、XP的启动菜单</a>
					<div>
						  将安全模式加入到Win 7的启动菜单 由于Windows 7开机菜单使用BCD配置文件,所以我们只要将安全模式菜单添加到BCD文件即可.BCD文件编辑可以借助&quot;Bcdtool&quot; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmGxdjb.html" rel="bookmark" class="title">提高U盘速度的经验之谈</a>
					<div>
						  现在每个人手中的移动存储设备是越来越多了,MP3/MP4播放器.闪存.移动硬盘等设备都可以利用电脑的USB接口方便.快捷地传输数据.但是如果传输的文件很多,那么如何提高数据传输速度便成了大家最关心 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5oJr7b.html" rel="bookmark" class="title">NanoXML组件解析xml实例</a>
					<div>
						NanoXML组件解析xml实例: noaoxml组件对xml格式的字符串解析,效率很高   代码如下:   package com.yanek.demo.xml.test; import java. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvrqE1M.html" rel="bookmark" class="title">土制状态机在工作流引擎中的应用</a>
					<div>
						/**   * @author : ahuaxuan   * @date 2009-10-27   */ 很早之前(应该是一年以前),ahuaxuan在用dfa实现文字过滤一文中使用确定有限自动机实现 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bE65W3M.html" rel="bookmark" class="title">【Oracle】Oracle 11g 中的自动数据库维护任务管理</a>
					<div>
						对于11g版本的oracle 有三个自动维护定时任务. 1 自动优化器统计收集:为所有方案对象收集陈旧的或缺少的统计数据,所收集的统计信息将被用来提高sql的执行的性能,任务名是&quot;auto  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDWBKBp.html" rel="bookmark" class="title">python-在mac  ox 上使用 py2applet 生成app遇到 SSL的问题</a>
					<div>
						问题描述 在mac ox 上使用 py2applet 生成app遇到 SSL的问题 代码: 在终端下,使用python命令来执行脚本CSDNLogin.py是没问题的: 而使用py2applet 生成 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqR88Rp.html" rel="bookmark" class="title">服务器-android中网络访问不了。</a>
					<div>
						问题描述 android中网络访问不了. 做一个小应用,android传输数据到javaEE服务器端,网络一直访问不了. 不过把 &lt;uses-sdk android:minSdkVersion= ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bB1g7Oz.html" rel="bookmark" class="title">蹲下来是为了跳得更高－2016 天猫技术这一年</a>
					<div>
						正儿八经 点击蓝色字体可查看全文 天猫技术全面打造『身临其境』的消费者交互体 12月20日,天猫技术部集结了一大批优质技术服务商(ISV)和品牌代理商.市场运营等代表,在喵葩互动创意大赛颁奖暨战略合作 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zV0e5VM.html" rel="bookmark" class="title">CUDA入门（四）Visual Profiler</a>
					<div>
						Visual Profiler 在CUDA程序开发的过程中是一个极有利的工具.可以帮助你找到程序中性能不足之处. 下面是&lt;CUDA_Profiler_Users_Guide&gt;对Visual ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b22P7Zb.html" rel="bookmark" class="title">数据结构实验图论一：基于邻接矩阵的广度优先搜索遍历</a>
					<div>
						数据结构实验图论一:基于邻接矩阵的广度优先搜索遍历 Time Limit: 1000MS Memory Limit: 65536KB Problem Description 给定一个无向连通图,顶点编 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8YEZPz.html" rel="bookmark" class="title">iPhone 6新消息，可能会定名&OpenCurlyDoubleQuote;iPhone Air&rdquo;</a>
					<div>
						[摘要]有业内人士出面表示,苹果现在已经与中国移动.中国联通等运营商合作伙伴准备开始进行各自队4G网络的iPhone 6测试工作. 根据目前最新的传闻显示,有内部人士声称表示苹果下一代的iPhone6 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9xWr4b.html" rel="bookmark" class="title">互联网&plus;时代医疗信息化探索与思考</a>
					<div>
						本文讲的是互联网+时代医疗信息化探索与思考,伴随整个医疗产业以及医改的发展,可以看出今天的信息化在医院中已经变得至关重要.随着互联网的普及以及发展,以移动.大数据.云计算为主的新一代信息技术正在逐步的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGZmQOp.html" rel="bookmark" class="title">android-Android 开发在程序退出时的操作应该放在哪处理</a>
					<div>
						问题描述 Android 开发在程序退出时的操作应该放在哪处理 目前有个android项目,在apk退出时要做一些向网络上报数据,之前我是放在主activity的ondestroy方法里的,后来发现当 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZBNj5z.html" rel="bookmark" class="title">【Android-tips】 Unable to execute dex&colon; Multiple dex files define 解决方法</a>
					<div>
						    唔,之前已经想过今后不动android,没想到还是因为比赛的原因重操旧业.android有很多问题是由于eclipse的不完善造成的,比如今天遇到的这个问题 Unable to execute ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pkAY6db.html" rel="bookmark" class="title">《Java程序员面试秘笈》&mdash;&mdash; 面试题12 如何执行mian&lpar;&rpar;方法</a>
					<div>
						面试题12 如何执行mian()方法 Java程序员面试秘笈 利用Java SDK中哪一条命令能够执行test的main()方法? (a)java test (b)javac test (c)java ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmBWvlz.html" rel="bookmark" class="title">互联网IP有望获准进行买卖催生全新商业市场</a>
					<div>
						面对可能在2010年耗尽的互联网IP地址资源,昨日在京召开的亚太网络信息中心开放政策会议(APNIC)正式讨论了开放IP地址买卖的问题,这或将促生一个全新的市场. 目前对于IP地址买卖有两种截然不同的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqWReKz.html" rel="bookmark" class="title">CentOS系统配置iptables防火墙详解</a>
					<div>
						在CentOS下配置iptables防火墙,是非常必要的.来我们学习如何配置! 在Linux中设置防火墙,以CentOS为例,打开iptables的配置文件: Default vi /etc/sysc ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBkYR4M.html" rel="bookmark" class="title">Sql Server中清空所有数据表中的记录&lowbar;MsSql</a>
					<div>
						Sql Server中清空所有数据表中的记录 清空所有数据表中的记录: 复制代码 代码如下: exec sp_msforeachtable  @Command1 ='truncate table ?' ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9N4Xvp.html" rel="bookmark" class="title">求助 谢谢谢谢谢谢谢谢</a>
					<div>
						问题描述 我编了一个学生成绩录入程序但有错误,不会修改,请帮帮忙PublicClassForm2PrivateSubButton1_Click(ByValsenderAsSystem.Object,B ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.026 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
